<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'CodingMs.' . $_EXTKEY,
	'Presets',
	'Amazon-Pay - Presets'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'CodingMs.' . $_EXTKEY,
	'JsonApi',
	'Amazon-Pay - API'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'CodingMs.' . $_EXTKEY,
	'Checkout',
	'Amazon-Pay - Checkout'
);

// Include flex forms
$pluginName='Presets';
$extensionName = \TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($_EXTKEY);
$pluginSignature = strtolower($extensionName) . '_' . strtolower($pluginName);
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Presets.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Amazon - Payment');

if((int)TYPO3_version>=7) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
		$_EXTKEY,
		'Configuration/PageTS/Linkhandler/payment_preset.pagets',
		'EXT:linkhandler - Configuration for Payment-Presets'
	);
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_amazonpayment_domain_model_log', 'EXT:amazon_payment/Resources/Private/Language/locallang_csh_tx_amazonpayment_domain_model_log.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_amazonpayment_domain_model_log');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_amazonpayment_domain_model_payment', 'EXT:amazon_payment/Resources/Private/Language/locallang_csh_tx_amazonpayment_domain_model_payment.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_amazonpayment_domain_model_payment');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_amazonpayment_domain_model_paymentpreset', 'EXT:amazon_payment/Resources/Private/Language/locallang_csh_tx_amazonpayment_domain_model_paymentpreset.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_amazonpayment_domain_model_paymentpreset');

//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_amazonpayment_domain_model_customer', 'EXT:amazon_payment/Resources/Private/Language/locallang_csh_tx_amazonpayment_domain_model_customer.xlf');
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_amazonpayment_domain_model_customer');
